
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Microsoft CryptoAPI加密技术（二） / iVAN</title>

    <meta name="description" content="Microsoft CryptoAPI加密技术（二） 上次我们讲了Microsoft CryptoAPI的构成以及会话密钥的使用.接下来我们将看一下公私密钥对的使用.HASH算法.数字签名等技术. 一. 公用密钥加密技术 公用密钥加密技术使用两个不同的密钥:公钥和私钥.私钥必须安全的保管好不能被外人知道,而公钥可以告诉任何人,只要他需要.通常公钥是以数字证书的形式发布的. 用公私密钥对中的一个密钥加密的数据只能用密钥对中的另一个密钥才能解密.也就是说用用户A的公钥加密的数据只能用A的私钥才能解密,同样,用A的私钥加密的数据只能用A的公钥才能解密.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Microsoft CryptoAPI加密技术（二）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>上次我们讲了Microsoft CryptoAPI的构成以及会话密钥的使用。接下来我们将看一下公私密钥对的使用、HASH算法、数字签名等技术。</p>
<p>一、 公用密钥加密技术</p>
<p>公用密钥加密技术使用两个不同的密钥：公钥和私钥。私钥必须安全的保管好不能被外人知道，而公钥可以告诉任何人，只要他需要。通常公钥是以数字证书的形式发布的。</p>
<p>用公私密钥对中的一个密钥加密的数据只能用密钥对中的另一个密钥才能解密。也就是说用用户A的公钥加密的数据只能用A的私钥才能解密，同样，用A的私钥加密的数据只能用A的公钥才能解密。</p>
<p>如果用私钥签名一个消息，那么必须用与之对应的公钥去验证签名的有效性。</p>
<p>不幸的是公用密钥加密技术的效率非常低甚至只有对称加密的千分之一，所以不适合对大量的数据进行加密。实际上，公用密钥加密技术一般用来加密会话密钥，而数据加密可以用对称加密的方法。</p>
<p>好了，让我们回到Microsoft CryptoAPI。我们知道一个CSP有一个密钥库，这个密钥库有一个或多个密钥容器。而密钥容器中有什么呢？一般来说，一个密钥容器中有两对公私密钥对，一对用来加密会话密钥，而另一对用来进行数字签名，也就是大家知道的key exchange key pair和signature key pair。</p>
<p>那么，怎么得到这些密钥对呢？</p>
<pre>
if(CryptGetUserKey(   hCryptProv,                     // 我们已经得到的CSP句柄   AT_SIGNATURE,                   // 这里想得到signature key pair   &amp;hKey))                         // 返回密钥句柄{    printf("A signature key is available.\n");}else		//取signature key pair错误{    printf("No signature key is available.\n");    if(GetLastError() == NTE_NO_KEY) //密钥容器里不存在signature key pair    {       // 创建 signature key pair.        printf("The signature key does not exist.\n");       printf("Create a signature key pair.\n");        if(CryptGenKey(          hCryptProv,		//CSP句柄          AT_SIGNATURE,	//创建的密钥对类型为signature key pair          0,			//key类型，这里用默认值          &amp;hKey)) 		//创建成功返回新创建的密钥对的句柄       {          printf("Created a signature key pair.\n");       }       else       {          printf ("Error occurred creating a signature key.\n");        }    }    else    {        printf ("An error other than NTE_NO_KEY getting signature\key.\n");    }} // end if</pre>
<p>将参数AT_SIGNATURE换成AT_KEYEXCHANGE就可以得到key exchange key pair。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索加密<br />
                    ，                csp<br />
                    ，                key<br />
                    ，                signature<br />
                    ，                密钥<br />
                    ，                公钥<br />
                    ，                pair<br />
                    ，                pair类型<br />
                    ，                pairs<br />
                                    密钥对<br />
                                    microsoft cryptoapi、cryptoswift aes加密、crypto 加密、nodejs md5加密crypto、crypto加密解密，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 07:30:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86/" title="加密">加密</a>, <a href="https://www.iamivan.net/tag/signature/" title="signature">signature</a>, <a href="https://www.iamivan.net/tag/%e5%85%ac%e9%92%a5/" title="公钥">公钥</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e9%92%a5/" title="密钥">密钥</a>, <a href="https://www.iamivan.net/tag/key/" title="key">key</a>, <a href="https://www.iamivan.net/tag/csp/" title="csp">csp</a>, <a href="https://www.iamivan.net/tag/pairs/" title="pairs">pairs</a>, <a href="https://www.iamivan.net/tag/%e5%af%86%e9%92%a5%e5%af%b9/" title="密钥对">密钥对</a>, <a href="https://www.iamivan.net/tag/pair%e7%b1%bb%e5%9e%8b/" title="pair类型">pair类型</a>, <a href="https://www.iamivan.net/tag/pair/" title="pair">pair</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Microsoft CryptoAPI加密技术（二）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6YLNb.html" rel="bookmark">Microsoft CryptoAPI加密技术（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在这个信息爆炸的时代,我们不得不对信息的安全提高警惕.加密作为保障数据信息安全的一种方式,越来越受到人们的关注. 下面,我将把自己对Microsoft CryptoAPI的一些肤浅的理解与大家共享,有什么不妥之处望不吝赐教. 一. 加密方法: 当初,计算机的研究就是为了破解德国人的密码,人们并没有想到计算机给今天带来的信息革命.随着计算机的发展,运算能力的增强,密码学已经取得了巨大的进展.大体来说有以下几种形式. 1. 公用密钥加密技术 加密和解密使用不同的密钥,分别叫做&quot;公钥&quot;和&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPV4Wz.html" rel="bookmark">Java加密技术（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接下来我们介绍对称加密算法,最常用的莫过于DES数据加密算法. DES DES-Data Encryption Standard,即数据加密算法.是IBM公司于1975年研究成功并公开发表的.DES算法的入口参数有三个:Key.Data.Mode.其中Key为8个字节共64位,是DES算法的工作密钥;Data也为8个字节64位,是要被加密或被解密的数据;Mode为DES的工作方式,有两种:加密或解密. DES算法把64位的明文输入块变为64位的密文输出块,它所使用的密钥也是64位. 通过java			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqw6Yz.html" rel="bookmark">安全第一：&period;NET加密技术指南（1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安全|加密 摘要: 信息安全是计算机应用的首要问题之一,但目前关于.NET加密功能的范例却少之又少.有鉴于此,本文探讨了在.NET平台下加密/解密文件的一般过程,并提供了一个加密/解密文件的工具. Web服务以不容置疑的态势迅速发展,促使许多单位开始考虑.NET之类的开发平台.但是,出于对安全问题的担心,一些单位总是对采用新技术心存顾虑.好在有许多成熟的安全和网络技术,例如虚拟私有网络(VPN)和防火墙等,能够极大地提高Web服务应用的安全和性能,让开发者拥有选择安全技术的自由,而不是非得使用尚			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOdq4b.html" rel="bookmark">讲解数据库加密技术的功能特性与实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				信息安全的核心就是数据库的安全,也就是说数据库加密是信息安全的核心问题.数据库数据的安全问题越来越受到重视,数据库加密技术的应用极大的解决了数据库中数据的安全问题,但实现方法各有侧重. 随着电子商务逐渐越来越多的应用,数据的安全问题越来越受到重视.一是企业本身需要对自己的关键数据进行有效的保护:二是企业从应用服务提供商(Application Service Provider,ASP)处获得应用支持和服务,在这种情况下,企业的业务数据存放在ASP处,其安全性无法得到有效的保障.因为传统的数据库保			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr1kdp.html" rel="bookmark">Java加密技术（七）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ECC ECC-Elliptic Curves Cryptography,椭圆曲线密码编码学,是目前已知的公钥体制中,对每比特所提供加密强度最高的一种体制.在软件注册保护方面起到很大的作用,一般的序列号通常由该算法产生. 当我开始整理&lt;Java加密技术(二)&gt;的时候,我就已经在开始研究ECC了,但是关于Java实现ECC算法的资料实在是太少了,无论是国内还是国外的资料,无论是官方还是非官方的解释,最终只有一种答案--ECC算法在jdk1.5后加入支持,目前仅仅只能完成密钥的生成与解析. 尽管如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jvKxb.html" rel="bookmark">将Java加密技术同Windows结合起来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				公共钥匙加密技术需要一个空间来存储数字证书和私钥.通过将钥匙和证书存储到一个文件中(称为keystore),Java Security Architecture实现了独立于平台的加密技术. Microsoft Windows把钥匙和证书存储到Windows注册表和文件系统中.这就是说,在Windows系统上运行安全的Java程序的用户必须在Java和Microsoft的钥匙和证书库之间输入和输出钥匙和证书.好消息是,你可以&quot;哄骗&quot;Java应用程序通过Microsoft本地函数来运用Mi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjP5lp.html" rel="bookmark">运用加密技术保护Java源代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java程序的源代码很容易被别人偷看.只要有一个反编译器,任何人都可以分析别人的代码.本文讨论如何在不修改原有程序的情况下,通过加密技术保护源代码. 一.为什么要加密? 对于传统的C或C++之类的语言来说,要在Web上保护源代码是很容易的,只要不发布它就可以.遗憾的是,Java程序的源代码很容易被别人偷看.只要有一个反编译器,任何人都可以分析别人的代码.Java的灵活性使得源代码很容易被窃取,但与此同时,它也使通过加密保护代码变得相对容易,我们唯一需要了解的就是Java的ClassLoader对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQPJOp.html" rel="bookmark">Java加密技术（一）&mdash;&mdash;BASE64与单向加密算法MD5&amp;amp&semi;amp&semi;SHA&amp;amp&semi;amp&semi;MAC</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 加密解密,曾经是我一个毕业设计的重要组件.在工作了多年以后回想当时那个加密.解密算法,实在是太单纯了.     言归正传,这里我们主要描述Java已经实现的一些加密解密算法,最后介绍数字证书.     如基本的单向加密算法:  BASE64 严格地说,属于编码格式,而非加密算法 MD5(Message Digest algorithm 5,信息摘要算法) SHA(Secure Hash Algorithm,安全散列算法) HMAC(Hash Message Authentication Cod			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRorNb.html" rel="bookmark">项目中的加密技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 问题如题:现在我们项目里面的加密技术是MD5+密钥,但是加密后的密文还是随便放到网上在线解密一下就出来了,经理所要搞个好一点密码方式,让我研究下.我是加密界小白.求各位大神指点啊 解决方案 解决方案二:md5不可逆啊何况你还加了盐(可以用rsa加密算法)解决方案三:当你们经理看你干不了正经事儿的开发,于是给你排一个看上去扫垃圾的脏活儿的时候,其实这类活儿反而不好干.你还不如跟经理申请一个比较正规的开发工作.解决方案四:楼上哥们拐弯骂人,碉堡了.解决方案五:MD5不可逆的,解不出来,网上			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAYGXM.html" rel="bookmark" class="title">利用图案图章及混合器画笔工具把人物转油画效果</a>
					<div>
						这里介绍一种手工制作油画效果的方法,非常实用.过程:打开想要的素材,并定义成图案:然后新建图层,用图案图章工具配合合适的笔刷把人物主要部分涂出来,局部修改属性后涂出初步的绘画痕迹:再用混合器画笔增加细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9djVb.html" rel="bookmark" class="title">MySQL教程之删除或更新现有记录</a>
					<div>
						    1.4.9 删除或更新现有记录    有时,希望除去某些记录或更改它们的内容.DELETE 和UPDATE语句令我们能做到这一点.    DELETE 语句有如下格式:    DELETE F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRakGb.html" rel="bookmark" class="title">裴涛：让SEOER们蛋疼的虚拟空间</a>
					<div>
						个人站长的异军突起成就了中国互联网的走上了&quot;快车道&quot;,欣慰之余,依旧会有许多的网站&quot;小荷才露尖尖角&quot;,如何让这股&quot;星星之火&quot;成其为燎原之势? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Ny5p.html" rel="bookmark" class="title">用Photoshop制作闪电特效</a>
					<div>
						本例中我们用Photoshop简单方法绘制闪电特效. 一.在Photoshop中新建一个400X100像素的文件,填充黑色. 二.选择渐变工具,填充渐变如下效果 三.选择菜单filter &gt; r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kGgaz.html" rel="bookmark" class="title">用Delphi获取Windows及系统路径</a>
					<div>
						通过WindowsAPI函数可以获取Windows及系统的路径.在不少程序中都需要让程序先识别系统路径后再进行其他工作. Procedure TForm1.Button1ClickSenderTO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjNdop.html" rel="bookmark" class="title">浅析J2EE应用中的时间值字段的数据类</a>
					<div>
						概述 在设计库表时,经常会碰到用于保存&quot;时间值&quot;的字段,如create_date,begin_time,login_time等,举不胜举.针对这些类型的字段,在设置数据类型时,有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW13Ymz.html" rel="bookmark" class="title">win8摄像头没有权限打开怎么回事</a>
					<div>
						  有用户想使用win8摄像头功能,系统却提示需要相应权限才能使用,那么win8摄像头没有权限该怎么办呢?下面一起来看看如何获取摄像头权限. 1.首先打开相机应用,出现权限提示框时,把鼠标移到屏幕的右 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKZa1p.html" rel="bookmark" class="title">Photoshop给悉尼歌剧院加上霞光效果</a>
					<div>
						  本教程增加霞光的方法非常简单实用.大致过程:先简单调整图片的明暗对比,然后用调色工具增加一些暖色,再用色块及光晕等叠加做出霞光效果. 原图 最终效果 1.打开素材图片,新建一个图层,选择画笔工具( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaWG3M.html" rel="bookmark" class="title">将json对象转换为字符串的方法</a>
					<div>
						 这篇文章主要介绍了将json对象转换为字符串的方法,需要的朋友可以参考下  代码如下: /*  将json对象转换为字符串  使用方法:  var json = {id=3,name=&quot;a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WEn0b.html" rel="bookmark" class="title">独家 &vert; 手把手教你用scrapy制作一个小程序 &excl;（附代码）</a>
					<div>
						目录 一.前言 二.原理 2.1 爬取流程 2.2 各部块的解释 2.3 scrapy数据流的分析 三.理解 四.实战 4.1 首先是安装scrapy 4.2 建立项目和下载pycharm以及pych ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxojAQb.html" rel="bookmark" class="title">SpringMVC 中 HttpMessageConverter&amp;amp&semi;lt&semi;T&amp;amp&semi;gt&semi;</a>
					<div>
						HttpMessageConverter负责将请求信息转换为一个对象(类型为T),将对象(类型为T)输出为响应信息. 下面我们说一下如何使用. 使用HttpMessageConverter将请求信息转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAlJeM.html" rel="bookmark" class="title">app-Android给文本绑定事件监听的问题？</a>
					<div>
						问题描述 Android给文本绑定事件监听的问题? 最近在学习做一个跟小说有关的app. 我将每章小说的标题放在了一个数组,然后通过ArrayAdapter将数组放入了ListView,现在文章列表形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm9qLz.html" rel="bookmark" class="title">flash swf-FLASH CS4导出swf丢失as文件</a>
					<div>
						问题描述 FLASH CS4导出swf丢失as文件 我用flash CS4导出的swf文件丢失AS文件,ActionScript的路径设置是OK的,而且导出的时候也没有报错,请教大家这个怎么回事叻?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRAEap.html" rel="bookmark" class="title">webservice 服务端如何接收异常</a>
					<div>
						问题描述 我用axis开发了一个服务端(java),在使用客户端调用的时候,服务端抛出一个自定义异常,在客户端怎么能接收到呢?我的服务端后台报错了,但客户端还是正常返回,好像异常没有接收处理,求大神指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBBerM.html" rel="bookmark" class="title">struts2&period;3&period;16与spring3&period;2&period;4整合出错</a>
					<div>
						问题描述 本人小白,真心请教报错内容web.xml文件&lt;?xmlversion=&quot;1.0&quot;encoding=&quot;UTF-8&quot;?&gt;&lt;web-app ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydKNZb.html" rel="bookmark" class="title">《I&amp;&num;039&semi;m a Mac：雄狮训练手册》&mdash;&mdash;2&period;2　用户账户</a>
					<div>
						2.2 用户账户 I'm a Mac:雄狮训练手册 用户和账户是两个概念,用户是指人,账户是指赋予用户的系统身份,也就是登录凭证,Mac ID.一个用户要登录系统首先要有一个账户,以下为方便说明,假设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJARkwp.html" rel="bookmark" class="title">互动性可视化，打通大数据最后一公里</a>
					<div>
						可视化,被视为大数据落地的最后一公里.就如同人们去商场购物时,看见一件漂亮的衣服,但2000元略贵的标价或许会让部分用户产生犹豫,而可视化充当的作用就相当于给这件衣服贴上了打8折的标签,为最后的决策提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJARL4p.html" rel="bookmark" class="title">Yann LeCun连发三弹：人人都懂的深度学习基本原理（附视频）</a>
					<div>
						一名 AI 专家值多少钱? &quot;基于我个人经验,一名计算机领域的 AI 专家对于企业的价值,至少为 500-1000 万美元.为了争夺这些少数的人才,正在开展竞标大战.&quot; 这是卡耐基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYaVZp.html" rel="bookmark" class="title">跪求一sql语句：查询sql数据表的字段的备注内容</a>
					<div>
						问题描述 是这样的,想做一个对应表字段的查询联合查询,因为数据表的字段名是英文的,但备注是汉字的,所以想根据备注查出对应表的字段名,然后在按这个字段进行查询.首先:第一步查出表说所有字段的备注2:然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmgaab.html" rel="bookmark" class="title">风景这边独好，站长网团队渔湾连云港海滨游</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 风景照的不好,享受风景的那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zZB4Gaz.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4VW9OUGlhQ3pjSFpDTkpRM1RFNFNST3JqRm1CYlNSZzdXd2lhbVY3SnliWENPdjM2WjBhd1dIY1NPZWRWUUl4bTBTSEN0Mmlic0UyemEzQS8w.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zZB4Gaz.html" rel="bookmark" class="title">整理了1000个手机屏幕截图，看移动应用格局</a>
					<div>
						前些天土匪搞了个小调研,让大家把手机首屏和二屏的截图发过来,想做一些统计,结果回复的人数还是超过土匪预期,差不多1000张图片. 本来想一天就能解决,后来发现要把这一千张图片里的图标识别出来,做一个统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJPX5p.html" rel="bookmark" class="title">0&period;7升主机云悦mini青春版上线抢购</a>
					<div>
						5月5日上午10点,聚焦&quot;万千&quot;预约于一身的0.7升主机云悦mini青春版上线抢购,1499的成交价使其上线即遭网友&quot;疯抢&quot;,不到5小时500台已销售告罄.至于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwOZmM.html" rel="bookmark" class="title">Lua数据结构 &amp;amp&semi;&num;8212&semi; Udata（五）</a>
					<div>
						作者:罗日健 Udata负责存储userdata的数据,这部分其实很简单,但是为了保证系列文章的完整性,还是写一篇出来补全. 下面是Udata的数据结构: 意义: CommonHeader:和与TVa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5aR0z.html" rel="bookmark" class="title">苹果与金融机构达成协议 降低移动支付手续费</a>
					<div>
						腾讯科技讯 9月5日,来自美国金融新闻网站Bank Innovation的最新报道指出,苹果已经同包括美国运通(American Express).美国银行(Bank of America).第一资本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkYR4M.html" rel="bookmark" class="title">Sql Server中清空所有数据表中的记录&lowbar;MsSql</a>
					<div>
						Sql Server中清空所有数据表中的记录 清空所有数据表中的记录: 复制代码 代码如下: exec sp_msforeachtable  @Command1 ='truncate table ?' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVldlz.html" rel="bookmark" class="title">浅谈jQuery animate easing的具体使用方法&lpar;推荐&rpar;&lowbar;jquery</a>
					<div>
						从jQuery API 文档中可以知道,jQuery自定义动画的函数.animate( properties [, duration] [, easing] [, complete] )有四个参数:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QdLWp.html" rel="bookmark" class="title">asp&period;net TemplateField模板中的Bind方法和Eval方法&lowbar;实用技巧</a>
					<div>
						比如我们要取个日期型的数据,在数据库中列名是updated,数值是2008/06/01.但是想2008年06月01日这样显示,我们可以这样来写Bind(&quot;updated&quot;, &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk286p.html" rel="bookmark" class="title">gridview怎么动态显示页眉</a>
					<div>
						问题描述 纵行显示招商项目横行显示招商公司纵行只有10行如果超过十行就在招商公司后面的那一列显示招商项目每个招商项目的招商公司个数不一样多.跪求!!!!!!!!!! 解决方案 解决方案二:跪求高手求解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm1ldb.html" rel="bookmark" class="title">db2 删除数据库中的所有数据，保留一个空库？</a>
					<div>
						问题描述 db2 删除数据库中的所有数据,保留一个空库? 我要删除db2数据库中的所有数据,但是能不能保留一个空库.语法是什么? 解决方案 如果是空数据库,那就删除数据库再重新创建一个同名的数据库,d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7w5X4z.html" rel="bookmark" class="title">天马精化澄清被无限期停产传言</a>
					<div>
						针对近日媒体关于天马精化因扰民现象被市区两级部门勒令无限期停产的传言,天马精化(002453)11月23日晚间澄清称,以上传闻与事实情况有所偏差. 公告称,天马精化浒关工厂二期工程是IPO募集资金投资 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
